package com.queplix.tools.fkchecker.kernel.sources;

import com.queplix.tools.fkchecker.kernel.exceptions.SourceException;
import com.queplix.tools.fkchecker.kernel.types.ForeignKey;

/**
 * @author dmitry.antonov
 */
public interface ForeignKeysSource {
    public void openSource() throws SourceException;
    public boolean hasNextForeignKey() throws SourceException;
    public ForeignKey nextForeignKey() throws SourceException;
    public void closeSource() throws SourceException; 
}
